## Rapport sur l'utilisation de l'application

### Introduction

Cette application vous permet de participer à des enchères décentralisées et de gérer votre profil en utilisant MetaMask.

### Utilisation de l'application

#### 1. Installation de MetaMask
#### 2. Compilation et deploiement du smart contract en utilisant Truffle. (Tout est expliqué dans le README du smart contract)
#### 3. Lancemenet de l'application avec npm

```shell
npm run dev
```

### Parcourir l'application

#### 1. Authentification avec MetaMask

Lorsque vois lancez l'application, vous serez invité à vous connecter avec votre compte MetaMask.

![MetaMask](images/acceuil.png)
![MetaMask](images/authentification.png)

#### 2. Information sur votre portefeuille metamask

Une fois connecté, vous pouvez voir les informations de votre compte MetaMask.

![MetaMask](images/information.png)

#### 3. Parcourir les enchères

vous avez une barre de navigation qui vous permet d'accéder à différentes pages de l'application.
Vous pouvez cliquer sur "Liste des enchères".
Une fois sur la page, vous pouvez voir les enchères en cours et les enchères passées et les enchères à venir.

![Liste](images/liste.png)

Pour les enchères en cours et les enchères à venir, vous pouvez voir les détails de chaque enchère.
Les détails comprennent le nom de l'enchère, le prix de départ, le prix actuel, le prix de réserve, le de commencement et la durée de l'enchère.

![Details](images/details.png)

#### 4. Voir le status des enchères

Vous pouvez voir le status de tout les enchères dans la liste des enchères.
Pour les enchères en disponible, vous pouvez voir le status de l'enchère (En cours, A venir).
Pour les enchères passées, vous pouvez voir le status de l'enchère (Vendue, Perdue).

![Status](images/status.png)

#### 5. Créer une enchère

Vous pouvez cliquer sur "Créer une enchère" pour créer une nouvelle enchère.

![Creer](images/creer.png)

Une fois qu'elle est créée, vous pouvez le voir s'ajouter dans la liste des enchères.

![Ajout](images/ajout.png)

#### 5. Enchérir

Pour les enchères en cours, vous pouvez enchérir.
Pour cela, vous devez aller sur la page de la liste des enchères et cliquer sur "Enchérir". 

#### 6. Versement des fonds

Une les enchères passées, vous pouvez Recuperer les fonds.

![Recuperer](images/recuperer.png)


